services:
  act_runner:
    image: gitea/act_runner:0.3.0
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - 1panel-network
    volumes:
      #- ./data/config.yaml:/config.yaml # 可选配置
      - ./data/data:/data
      - /var/run/docker.sock:/var/run/docker.sock
    environment:
      #- CONFIG_FILE=/config.yaml
      - GITEA_INSTANCE_URL=${GITEA_INSTANCE_URL}
      - GITEA_RUNNER_REGISTRATION_TOKEN=${RUNNER_REGISTRATION_TOKEN}
      - GITEA_RUNNER_NAME=${RUNNER_NAME}
      - GITEA_RUNNER_LABELS=${RUNNER_LABELS}
    labels:  
      createdBy: "Apps"
networks:  
  1panel-network:  
    external: true
